///###////////////////////////////////////////////////////////////////////////
//
// Burton Computer Corporation
// http://www.burton-computer.com
// http://www.cooldevtools.com
// $Id$
//
// Copyright (C) 2000 Burton Computer Corporation
// ALL RIGHTS RESERVED
//
// This program is open source software; you can redistribute it
// and/or modify it under the terms of the Q Public License (QPL)
// version 1.0. Use of this software in whole or in part, including
// linking it (modified or unmodified) into other programs is
// subject to the terms of the QPL.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Q Public License for more details.
//
// You should have received a copy of the Q Public License
// along with this program; see the file LICENSE.txt.  If not, visit
// the Burton Computer Corporation or CoolDevTools web site
// QPL pages at:
//
//    http://www.burton-computer.com/qpl.html
//    http://www.cooldevtools.com/qpl.html
//

package org.cooldevtools.apps;

import org.cooldevtools.coffee_server.Run;
import org.cooldevtools.apps.clnews.configure.Constants;
import org.cooldevtools.apps.clnews.configure.Main;

public class nntp
{
   private static String[] shift(String[] args)
   {
      String[] answer = new String[args.length - 1];
      System.arraycopy(args, 1, answer, 0, answer.length);
      return answer;
   }

   public static void main(String[] args)
   {
      try {
         String program = args[0];
         args = shift(args);
         if (program.equals("server")) {
            Run.extended_main(Constants.PRODUCT_NAME_AND_VERSION, args);
         } else if (program.equals("configure")) {
            Main.main(args);
         } else {
            throw new Exception("invalid command line argument: " + program);
         }
      } catch (Throwable ex) {
         ex.printStackTrace();
         System.exit(1);
      }
   }
}

