///###////////////////////////////////////////////////////////////////////////
//
// Burton Computer Corporation
// http://www.burton-computer.com
// http://www.cooldevtools.com
// $Id$
//
// Copyright (C) 2000 Burton Computer Corporation
// ALL RIGHTS RESERVED
//
// This program is open source software; you can redistribute it
// and/or modify it under the terms of the Q Public License (QPL)
// version 1.0. Use of this software in whole or in part, including
// linking it (modified or unmodified) into other programs is
// subject to the terms of the QPL.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Q Public License for more details.
//
// You should have received a copy of the Q Public License
// along with this program; see the file LICENSE.txt.  If not, visit
// the Burton Computer Corporation or CoolDevTools web site
// QPL pages at:
//
//    http://www.burton-computer.com/qpl.html
//    http://www.cooldevtools.com/qpl.html
//

package org.cooldevtools.awt;

import java.awt.*;
import java.util.*;
import java.applet.Applet;
import javax.swing.*;

public class test
{
  public static void testGridBagHelper(Container f)
    {
      GridBagHelper gbhelp = new GridBagHelper(f);

      f.setFont(new Font("Helvetica", Font.PLAIN, 14));

      gbhelp.setFill(GridBagConstraints.BOTH);
      gbhelp.setWeights(1.0, 0.0);

      gbhelp.setBounds(0, 0, 1, 1);
      //      gbhelp.addComponent(new Button("Button1"));
      gbhelp.addComponent(new JSlider(JSlider.HORIZONTAL, 0, 10, 5));

      gbhelp.setBounds(1, 0, 1, 1);
      gbhelp.addComponent(new Button("Button2"));

      gbhelp.setBounds(2, 0, 1, 1);
      gbhelp.addComponent(new Button("Button3"));

      gbhelp.setBounds(3, 0, 1, 1);
      gbhelp.addComponent(new Button("Button4"));

      gbhelp.setWeights(0.0, 0.0);

      gbhelp.setBounds(0, 1, 4, 1);
      gbhelp.addComponent(new Button("Button5"));

      gbhelp.setBounds(0, 2, 3, 1);
      gbhelp.addComponent(new Button("Button6"));

      gbhelp.setBounds(3, 2, 3, 1);
      gbhelp.addComponent(new Button("Button7"));

      gbhelp.setWeights(0.0, 1.0);

      gbhelp.setBounds(0, 3, 1, 2);
      gbhelp.addComponent(new Button("Button8"));

      gbhelp.setWeights(0.0, 0.0);

      gbhelp.setBounds(1, 3, 3, 1);
      gbhelp.addComponent(new Button("Button9"));

      gbhelp.setBounds(1, 4, 3, 1);
      gbhelp.addComponent(new Button("Button10"));

      f.setSize(300, 100);
    }

  public static void main(String args[])
    {
      Frame f = new Frame("GridBag Layout Example");
      Panel p = new Panel();
      testGridBagHelper(p);
      f.add("Center", p);
      f.pack();
      f.setSize(f.getPreferredSize());
      f.show();
    }
}
